/*=== Sloths Js */

$(ygfk);

function ygfk() {
	$('#features').find('em').switchCont($('#banner')).parent().hoverClass();
	$('#infos').find('ol li').hoverClass();
	$('#infos').displayCont();
	$('#nav').find('li').isNav();

	if ($('#cases').length) {cases();}
	if ($('#info').find('img').length) {featuredPic();};

	if ($('#imgs').length) {$('#imgs').play();};
};


$.fn.switchCont = function(__obj) {	
	return this.each(function(){
		var nav = $(this).parents('div');
		var con = __obj.find('ul');
		$(this).click(function(){
			nav.find('.sp').removeClass('sp');
			$(this).parent().addClass('sp');
			var leftNum = 0 - (parseInt($(this).attr('className').replace('f','')) - 1)*950;
			con.animate({left: leftNum}, 1000); 
		});
	});
};

$.fn.hoverClass = function() {	
	return this.each(function(){
		$(this).hover(function(){
			$(this).addClass('hover');
		},function(){
			$(this).removeClass('hover');
		});
	});
};

$.fn.displayCont = function() {	
	return this.each(function(){
		var nav = $(this).find('.child');
		var navItem = nav.find('p');

		var con = $(this).find('ul');
		var conItem = con.find('li');

		navItem.hoverClass().click(function(){
			var index = parseInt($(this)[0].className.replace('sp','').replace('f', '')) - 1;

			nav.find('.sp').removeClass('sp');
			con.find('.sp').removeClass('sp');

			$(this).addClass('sp');
			$(conItem[index]).addClass('sp');
		});
	});
};

$.fn.isNav = function() {	
	return this.each(function(){
		var nav = $(this);
		if (!nav.find('p').length) return;
		nav.unbind('hover').hover(function(){
			$(this).find('p').show();
		},function(){
			$(this).find('p').slideUp();
		});
	});
};

function cases() {
	var url = window.location;
	var page = url.toString().split('#')[1];
	if (page) {$('#' + page).click();}
	window.location.replace('#', '');
};

function featuredPic() {
	var m = Math.random();
	m > 0.5 ? $('#info').find('.project p.n').eq(0).show() : $('#info').find('.project p.n').eq(1).show();
};



$.fn.play = function() {
	var obj = $(this);

	var image = obj.find('img');
	var control = $('<div id="control"></div>');
	control.appendTo(obj);
	control = obj.find('#control');

	for (var i=0; i<image.length; i++) {
		var button = $('<a class="num" href="#">' + (i+1) +'</a>');
		button.appendTo(control);
		image.eq(i).css('zIndex', (100-i));
	};

	var buttons = obj.find('a.num');
	buttons.unbind('click').click(function(){
		if (playBigImg.timeID) clearTimeout(playBigImg.timeID);
		
		playBigImg.timeID = null;
		playBigImg.curr = $(this).next().length ? $(this).next() : buttons.eq(0);
		
		control.find('.curr').removeClass('curr');
		$(this).addClass('curr');

		var curr = parseInt($(this).text()) - 1;
		obj.find('img.curr').fadeOut('slow').removeClass('curr');
		image.eq(curr).addClass('curr').fadeIn('slow');

		playBigImg.timeID = setTimeout(playBigImg, 3000);
		return false;
	});
	buttons.eq(0).click();
	image.eq(0).addClass('curr');
};

function playBigImg() {
	playBigImg.curr.click();
};
